package hdm.mi.growbros.service;

import hdm.mi.growbros.models.plant.Plant;
import hdm.mi.growbros.repositories.PlantRepository;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.Collection;

@Service
@RequiredArgsConstructor
public class PlantsService {
    private final PlantRepository plantRepository;

    public Collection<Plant> getPlants() {
        return plantRepository.findAll();
    }

    public void createPlant(Plant plant) {
        plantRepository.save(plant);
    }

}
