import "../App.css";

export default function PlantCard(props: any) {
    const plant = props.plant;

    return (
        <li className="plantCard shadow-light">
            <h2>{plant.name}</h2>
            <h3>Family: {plant.family ?? "-"}</h3>
            <p>Plant from {monthLookup(plant.plantMonthStart)} to {monthLookup(plant.plantMonthEnd)}</p>
            <img src={plant.imageUrl}/>
        </li>
    );
}

function monthLookup(month: number) {
    const months = ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dez"];
    return months[month];
}
